=== debian/changelog ===
segyio (1.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #864710)

 -- Jørgen Kvalsvik <jokva@statoil.com>  Tue, 19 Sep 2017 23:53:19 +0200
