=== debian/rules ===
#!/usr/bin/make -f

DEB_MAINT_BUILD_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_SYSTEM=cmake

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_configure:
	dh_auto_configure -- --configure-args="-DBUILD_SHARED_LIBS=ON"

override_dh_missing:
	dh_missing --list-missing
