=== debian/tests/control ===
Tests: link-with-shared
Depends: @, gcc
