=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,25 @@
-project(libsegyio)
-
-if (NOT MSVC)
-    set(CMAKE_C_FLAGS "-std=c99 ${CMAKE_C_FLAGS}")
-endif()
+project(libsegyio C)
 
 set(SOURCE_FILES src/segy.c)
 
 set(STATIC_NAME segyio)
-if(WINDOWS)
+if(MSVC)
     # MSVC outputs the same name for static and shared libraries (with the same
     # extension), so we need to differentiate between the two somehow.
     set(STATIC_NAME "${STATIC_NAME}-static")
     set(DLL_EXPORT_FILES src/segy.def)
 endif()
 
-if(NOT MSVC)
-    set(math "m")
-endif()
-
 #
 # static build
 #
 add_library(segyio-static STATIC ${SOURCE_FILES})
-target_link_libraries(segyio-static ${math} ${ws2})
+target_link_libraries(segyio-static ${m} ${ws2})
+target_compile_definitions(segyio-static PRIVATE
+    ${htons} ${mmap} ${fstat} ${ftello})
+target_compile_options(segyio-static BEFORE
+    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
+)
 set_target_properties(segyio-static PROPERTIES
                       OUTPUT_NAME ${STATIC_NAME}
                       CLEAN_DIRECT_OUTPUT 1)
@@ -36,7 +33,12 @@
 # dynamic build
 #
 add_library(segyio-shared SHARED ${SOURCE_FILES} ${DLL_EXPORT_FILES})
-target_link_libraries(segyio-shared ${math} ${ws2})
+target_link_libraries(segyio-shared ${m} ${ws2})
+target_compile_options(segyio-shared BEFORE
+    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
+)
+target_compile_definitions(segyio-shared PRIVATE
+    ${htons} ${mmap} ${fstat} ${ftello})
 set_target_properties(segyio-shared PROPERTIES
                       SOVERSION   ${segyio_MAJOR}
                       VERSION     ${segyio_MAJOR}
@@ -76,8 +78,8 @@
 
 foreach (src segy utils)
     add_executable(test${src} test/${src}.c)
+    target_compile_options(test${src} BEFORE PRIVATE ${c99})
     target_link_libraries(test${src} segyio-shared)
     target_include_directories(test${src} PRIVATE src)
     add_test(c.${src} test${src})
-    add_memcheck_test(test${src} test${src})
 endforeach()
