=== debian/changelog ===
segyio (1.3.8-1) unstable; urgency=medium

  * New upstream release
  * Builds on platforms where long is 32bit (Closes: #882420)
  * Builds on sparc64 (Closes: #882421)
  * Upgrade to Standards-Version 4.1.1
  * Add libc6-dev to tests dependencies
  * Add python3-setuptools and python3-setuptools-scm to build dependencies
  * Remove pycmake licence entry

 -- Jørgen Kvalsvik <jokva@statoil.com>  Sat, 25 Nov 2017 13:02:52 +0100
