=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                dh-python,
                python3 (>= 3.4),
                python3-all-dev,
-               python3-numpy
-Standards-Version: 4.1.0
+               python3-numpy,
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.1.1
 Vcs-git: https://anonscm.debian.org/git/debian-science/packages/segyio.git
 Vcs-browser: https://anonscm.debian.org/cgit/debian-science/packages/segyio.git
 Homepage: https://github.com/statoil/segyio
