=== debian/changelog ===
segyio (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Jørgen Kvalsvik <jokva@statoil.com>  Thu, 08 Feb 2018 08:51:29 +0100
