=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -69,17 +69,19 @@
 install(EXPORT segyio DESTINATION share/segyio/cmake FILE segyio-config.cmake)
 export(TARGETS segyio-static segyio-shared FILE segyio-config.cmake)
 
-#
-# tests
-#
+if (NOT BUILD_TESTING)
+    return ()
+endif ()
+
 configure_file(${testdata}/small.sgy test-data/small.sgy             COPYONLY)
-configure_file(${testdata}/small.sgy test-data/small-traceheader.sgy COPYONLY)
 configure_file(${testdata}/text.sgy  test-data/text.sgy              COPYONLY)
 
-foreach (src segy utils)
-    add_executable(test${src} test/${src}.c)
-    target_compile_options(test${src} BEFORE PRIVATE ${c99})
-    target_link_libraries(test${src} segyio-shared)
-    target_include_directories(test${src} PRIVATE src)
-    add_test(c.${src} test${src})
-endforeach()
+add_executable(c.segy test/testsuite.cpp
+                      test/segy.cpp
+                      test/mmap.cpp)
+target_include_directories(c.segy PRIVATE src)
+target_link_libraries(c.segy catch2 segyio)
+target_compile_options(c.segy BEFORE PRIVATE
+                       ${c++11} $<$<CONFIG:Debug>:${warnings-c}> ${mmap})
+add_test(NAME c.segy COMMAND c.segy ~[mmap] [c.segy])
+add_test(NAME c.segy.mmap COMMAND c.segy [mmap])
