=== debian/changelog ===
segyio (1.5.2-1) unstable; urgency=medium

  * New upstream release
  * Add python3-pytest to build dependencies
  * Add pytest3-pytest-runner to build dependencies
  * Upgrade to Standards-Version 4.1.3
  * Change vcs-browser link to salsa
  * Change vcs-git link to salsa

 -- Jørgen Kvalsvik <jokva@statoil.com>  Tue, 20 Mar 2018 16:55:16 +0100
