=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
                python3 (>= 3.4),
                python3-all-dev,
                python3-numpy,
+               python3-pytest,
+               python3-pytest-runner,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.1.1
-Vcs-git: https://anonscm.debian.org/git/debian-science/packages/segyio.git
-Vcs-browser: https://anonscm.debian.org/cgit/debian-science/packages/segyio.git
+Standards-Version: 4.1.3
+Vcs-git: https://salsa.debian.org/science-team/segyio.git
+Vcs-browser: https://salsa.debian.org/science-team/segyio
 Homepage: https://github.com/statoil/segyio
 X-Python3-Version: >= 3.4
