=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,13 @@
 include /usr/share/dpkg/default.mk
 
 export PYBUILD_SYSTEM=cmake
+export SEGYIO_NO_GIT_VER=1
 
 %:
 	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- --configure-args="-DBUILD_SHARED_LIBS=ON"
+	dh_auto_configure -- --configure-args="-DBUILD_SHARED_LIBS=ON -DPYTHON_INSTALL_LAYOUT=deb"
 
 override_dh_missing:
 	dh_missing --list-missing
