## segyio 1.5.3

=== debian/changelog ===
segyio (1.5.3-1) unstable; urgency=medium

  * New upstream release
  * Upgrade to Standards-Version 4.1.4
  * Compute python dependencies with dh_python3 (Closes: #896274)
  * Move d/tests/control to d/tests/control.autodep8
  * Enable autopkg tests for python module import
  * Only depend on libsegyio-dev for linkage test

 -- Jørgen Kvalsvik <jokva@statoil.com>  Thu, 03 May 2018 09:27:33 +0200
