=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
                python3-pytest-runner,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-git: https://salsa.debian.org/science-team/segyio.git
 Vcs-browser: https://salsa.debian.org/science-team/segyio
 Homepage: https://github.com/statoil/segyio
+Testsuite: autopkgtest-pkg-python
 X-Python3-Version: >= 3.4
 
 Package: libsegyio1
